Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.groovydoc
[Java] Interface GroovyClassDoc

    org.codehaus.groovy.groovydoc.GroovyType
      org.codehaus.groovy.groovydoc.GroovyClassDoc
          org.codehaus.groovy.groovydoc.GroovyDoc
              org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

All Superinterfaces:
  GroovyType, GroovyDoc, GroovyProgramElementDoc

    public interface GroovyClassDoc
    extends GroovyProgramElementDoc, GroovyType

Method Summary
`GroovyConstructorDoc[]` | `constructors()`
`GroovyConstructorDoc[]` | `constructors(boolean filter)`
`boolean` | `definesSerializableFields()`
`GroovyFieldDoc[]` | `enumConstants()`
`GroovyFieldDoc[]` | `fields()`
`GroovyFieldDoc[]` | `fields(boolean filter)`
`GroovyClassDoc` | `findClass(String className)`
`String` | `getFullPathName()`
`String` | `getRelativeRootPath()`
`GroovyClassDoc[]` | `importedClasses()`
`GroovyPackageDoc[]` | `importedPackages()`
`GroovyClassDoc[]` | `innerClasses()`
`GroovyClassDoc[]` | `innerClasses(boolean filter)`
`GroovyType[]` | `interfaceTypes()`
`GroovyClassDoc[]` | `interfaces()`
`boolean` | `isAbstract()`
`boolean` | `isExternalizable()`
`boolean` | `isSerializable()`
`GroovyMethodDoc[]` | `methods()`
`GroovyMethodDoc[]` | `methods(boolean filter)`
`GroovyFieldDoc[]` | `properties()`
`GroovyFieldDoc[]` | `serializableFields()`
`GroovyMethodDoc[]` | `serializationMethods()`
`boolean` | `subclassOf(GroovyClassDoc gcd)`
`GroovyClassDoc` | `superclass()`
`GroovyType` | `superclassType()`

Methods inherited from interface GroovyType
isPrimitive, qualifiedTypeName, simpleTypeName, toString, typeName

Methods inherited from interface GroovyProgramElementDoc
annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName

Methods inherited from interface GroovyDoc
commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText

Methods inherited from interface Comparable
compareTo

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### constructors

    public GroovyConstructorDoc[] constructors()

### constructors

    public GroovyConstructorDoc[] constructors(boolean filter)

### definesSerializableFields

    public boolean definesSerializableFields()

### enumConstants

    public GroovyFieldDoc[] enumConstants()

### fields

    public GroovyFieldDoc[] fields()

### fields

    public GroovyFieldDoc[] fields(boolean filter)

### findClass

    public GroovyClassDoc findClass(String className)

### getFullPathName

    public String getFullPathName()

### getRelativeRootPath

    public String getRelativeRootPath()

### importedClasses

    public GroovyClassDoc[] importedClasses()

### importedPackages

    public GroovyPackageDoc[] importedPackages()

### innerClasses

    public GroovyClassDoc[] innerClasses()

### innerClasses

    public GroovyClassDoc[] innerClasses(boolean filter)

### interfaceTypes

    public GroovyType[] interfaceTypes()

### interfaces

    public GroovyClassDoc[] interfaces()

### isAbstract

    public boolean isAbstract()

### isExternalizable

    public boolean isExternalizable()

### isSerializable

    public boolean isSerializable()

### methods

    public GroovyMethodDoc[] methods()

### methods

    public GroovyMethodDoc[] methods(boolean filter)

### properties

    public GroovyFieldDoc[] properties()

### serializableFields

    public GroovyFieldDoc[] serializableFields()

### serializationMethods

    public GroovyMethodDoc[] serializationMethods()

### subclassOf

    public boolean subclassOf(GroovyClassDoc gcd)

### superclass

    public GroovyClassDoc superclass()

### superclassType

    public GroovyType superclassType()

Copyright © 2003-2010 The Codehaus. All rights reserved.